std::ranges::take_while_view::sentinel(3)

NAME
std::ranges::take_while_view::sentinel - std::ranges::take_while_view::sentinel

Synopsis
   template<bool Const> (since C++20)
   class /*sentinel*/; // exposition only
   The return type of take_while_view::end.
   The type /*sentinel*/<true> is returned by the const-qualified overload. The type
   /*sentinel*/<false> is returned by the non-const-qualified overload.
   The name of this class template (shown here as sentinel) is unspecified.
   Typical implementation holds two data members: a sentinel that represents the end of
   the underlying view, and a pointer to the predicate.

Member types
   Member type Definition
   Base(private) const V if Const is true, otherwise V. The name is for exposition only

Member functions
   constructor constructs a sentinel
   (C++20) (public member function)
   base returns the underlying sentinel
   (C++20) (public member function)

Non-member functions
   operator== compares a sentinel with an iterator returned from take_while_view::begin
   (C++20) (function)